#!/usr/bin/env python3

class Apbootstrap_Apt_Proxy(object):
    def __init__(self,apt_proxy_file="", apt_proxy_server=""):

        # Variables passed in during initialization
        self.apt_proxy_file = apt_proxy_file
        self.apt_proxy_server = apt_proxy_server

    # Writing the apt-proxy file to disk to ensure apt-proxy configuration is correct
    def __write_apt_proxy_file(self):

        proxy_text = 'Acquire::http { Proxy "' + self.apt_proxy_server + '"; }'
        print ("apbootstrap: apt-proxy content: \n\t" + proxy_text)
        try:
            print("\napbootstrap_apt_proxy: Writing apt-proxy file: " + self.apt_proxy_file + "\n")
            with open(self.apt_proxy_file, 'w') as file:

                file.write(proxy_text)

        except Exception as e:
            print ("apbootstrap_apt_proxy: Exception: " + str(e))
            return False

        return True

    # Function that walks through the steps necessary to configure apt-proxy by calling other functions
    def configure_apt_proxy(self):
        if not (self.__write_apt_proxy_file()):
            print("apbootstrap_apt_proxy: Could not write /etc/apt/apt.conf.d/02proxy file ("
                  "autopilot_ini_parser_object.write_apt_proxy_file)")
            return False

        return True

